
Figure - Bug #112165
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】应用，点击“默认应用、未使用的应用”，会跳转至全屏模式
2022-09-27 14:31 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-27

Priority: Normal Due date: 2022-09-27

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: AOSP问题

Description

【前提条件】

无

【测试步骤】

1、进入设置 -应用

2、点击“默认应用、未使用的应用”

【预期结果】

2、成功进入，且仍然保持双屏模式

【实际结果】

2、能成功进入，但是会跳转至全屏模式

【复现率】

必现

History

#1 - 2022-09-27 16:22 - CD TEST-方永红

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030

#2 - 2022-09-27 17:30 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#3 - 2022-09-27 17:36 - CD AF-陈羽杰

- Due date set to 2022-09-27

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- Resolution changed from -- to MOVE TO CQ

- Root cause set to AOSP问题

■ Current conclusion

已定位到问题

■ My analysis

 topDisplayFocusedRootTask=Task{9bbd696 #79 type=standard A=1000:com.android.settings.root U=0 visible=true mode=fullscreen translucent=false sz=2}
1050:  mCurrentFocus=Window{7e69660 u0 com.android.permissioncontroller/com.android.permissioncontroller.role.ui.DefaultAppListActivity}

1051:  mFocusedApp=ActivityRecord{1c5b8c7 u0 com.android.permissioncontroller/.role.ui.DefaultAppListActivity t79}

1103:      mPreferredTopFocusableRootTask=Task{9bbd696 #79 type=standard A=1000:com.android.settings.root U=0 visible=true mode=fullscreen translucent=false

sz=2}

1104:      mLastFocusedRootTask=Task{9bbd696 #79 type=standard A=1000:com.android.settings.root U=0 visible=true mode=fullscreen translucent=false sz=2}

1157:    mFocusedWindow=Window{7e69660 u0 com.android.permissioncontroller/com.android.permissioncontroller.role.ui.DefaultAppListActivity}

根据dump信息显示，点击默认应用会跳转到permissioncontroller的DefaultAppListActivity页面，不输入Settings内部，无法实现双屏显示，实现方案需要讨论

。

■ Next action 

MOVE TO CQ

#4 - 2022-10-18 15:43 - CD AF-陈羽杰

- % Done changed from 0 to 100

- Resolution changed from MOVE TO CQ to FIXED

■ Current conclusion

已修复

■ My analysis

外部应用无法修改为双屏，目前讨论解决方案为裁剪掉该部分功能

■submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/156134

#5 - 2022-10-19 18:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

10.19日DB验证，功能裁掉了，先关闭

#6 - 2022-10-19 18:08 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156134 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Default App jump to full Page Bug1.Fix Default App and unUsed App jump to full Page bugTC-RID: 1201-0201802IssueID:

TS-R-BUG-112165Change-Id: Iffdf41dfb52b7ad67f8106c78b50f83c8e6e4195

#8 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156153 general/platform/packages/apps/Settin
Pre_figure_turbox-c2130c-la1.1-qssi12 yujie.chen@thundersoft.com

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/156134


gs -dev

AF:Settings: Fix Default App jump to full Page Bug1.Fix Default App and unUsed App jump to full Page bugTC-RID: 1201-0201802IssueID:

TS-R-BUG-112165Change-Id: Id5b04fb7efe6ba87774cdbf6c3de0f5b062077e0

Files

Phone-5221FC0 2022-09-27 14-30-24.mp4 7.16 MB 2022-09-27 CD TEST-方永红
